View Issue Details

IDProjectCategoryView StatusLast Update
0000180Bacula-Webbug-phppublic2016-06-18 09:20
ReporterznajuAssigned Todavide 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSUbuntuOS Version14.04
Product Version7.0.3 
Target Version7.2.0Fixed in Version7.2.0 
Summary0000180: DrawGraph No data array error in http logs
DescriptionPHP Fatal error: DrawGraph(): No data array in /var/www/html/bacula/vendor/phplot-6.1.0/phplot.php on line 1957.

Steps To ReproduceClean bacula install (apt-get install bacula).
Additional InformationWhen Bacula is populated, the error is gone.

This means no check is performed if the bacula state is still inconsistent, and we get Apache 505 error.

It seems some checks should be introduced before trying to plot data.

Conneted with the issues:
Summary 0000164: DrawGraph No data array error in http logs
Summary 0000047: index.php is blank (Fatal error: DrawGraph(): No data array in /opt/baculaweb/core/external/phplot/phplot.php on line 1701)
TagsNo tags attached.

Activities

davide

2016-03-20 13:13

manager   ~0000507

Problem confirm, I'll improve the code to handle this.

davide

2016-06-18 09:20

manager   ~0000546

The code has been improved and the application do not suffer from this kind of problem anymore.

Bugfix will be available in next release (coming by next few days).

Thanks for submitting this bug report

Regards

Issue History

Date Modified Username Field Change
2015-12-25 12:04 znaju New Issue
2015-12-26 20:10 davide Assigned To => davide
2015-12-26 20:10 davide Status new => assigned
2016-03-20 13:13 davide Note Added: 0000507
2016-03-20 13:13 davide Status assigned => confirmed
2016-06-04 06:33 davide Target Version => 7.2.0
2016-06-18 09:14 davide Category bug => bug-php
2016-06-18 09:20 davide Note Added: 0000546
2016-06-18 09:20 davide Status confirmed => resolved
2016-06-18 09:20 davide Fixed in Version => 7.2.0
2016-06-18 09:20 davide Resolution open => fixed